Bug 860214 - iscsiadm discovery mode with -l option
iscsiadm discovery mode with -l option
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: iscsi-initiator-utils (Show other bugs)
6.5
Unspecified Unspecified
low Severity low
: rc
: ---
Assigned To: Chris Leech
Bruno Goncalves
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-25 05:34 EDT by Bruno Goncalves
Modified: 2017-12-06 07:47 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-06 07:47:29 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bruno Goncalves 2012-09-25 05:34:18 EDT
Description of problem:
Reading the man page for iscsiadm, the -l option says:

       -l, --login
              For node and fw mode, login to a specified record. For discovery
              mode, login to all discovered targets.

My question is should be possible to run: "iscsiadm -m discovery -l" and it will login to all targets already discovered and stored in the DB? (Similar as running iscsiadm -m node -l)
Or it will just perform the login as soon the target is discovered, with:
iscsiadm -m discovery -p <portal> -l


Version-Release number of selected component (if applicable):
iscsi-initiator-utils-6.2.0.872-41.el6.x86_64
Comment 2 Bruno Goncalves 2012-10-11 07:38:13 EDT
Please add to help and man page "-o operation" to iscsiadm -m discovery mode.

This command is supported, but it is not listed on help nor on man page.

iscsiadm -m discovery [ -hV ] [ -d debug_level ] [-P printlevel] [ -t type -p ip:port -I ifaceN ... [ -l ] ] | [ [ -p ip:port ] [ -l | -D ] ]
Comment 3 RHEL Product and Program Management 2012-12-14 01:54:50 EST
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 4 Jan Kurik 2017-12-06 07:47:29 EST
Red Hat Enterprise Linux 6 is in the Production 3 Phase. During the Production 3 Phase, Critical impact Security Advisories (RHSAs) and selected Urgent Priority Bug Fix Advisories (RHBAs) may be released as they become available.

The official life cycle policy can be reviewed here:

http://redhat.com/rhel/lifecycle

This issue does not meet the inclusion criteria for the Production 3 Phase and will be marked as CLOSED/WONTFIX. If this remains a critical requirement, please contact Red Hat Customer Support to request a re-evaluation of the issue, citing a clear business justification. Note that a strong business justification will be required for re-evaluation. Red Hat Customer Support can be contacted via the Red Hat Customer Portal at the following URL:

https://access.redhat.com/

Note You need to log in before you can comment on or make changes to this bug.